IParameter

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface IParameter

    com.change_vision.jude.api.inf.model.IParameter

All Implemented Interfaces:
  IElement, IHyperlinkOwner, INamedElement

public IParameter
extends INamedElement

Interface for Parameters.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract String` | `getDirection()` Get direction.
`abstract IClass` | `getType()` Get Type.
`abstract String` | `getTypeExpression()` Get Type Expression.
`abstract void` | `setDirection(String direction)` Set direction.
`abstract void` | `setType(IClass type)` Set Type.
`abstract void` | `setTypeExpression(String type)` Set Type Expression.

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getConstraints, getDefinition, getDiagrams, getName, getSupplierDependencies, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getId, getOwner, getStereotypes, getTaggedValues, getTypeModifier, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getType

    public abstract IClass getType()

  Get Type.

  Returns:
    Type. Return null in case there is none.

### getTypeExpression

    public abstract String getTypeExpression()

  Get Type Expression.

  Returns:
    the array of Type Expression. Return empty string ("") in case there is none.

### setType

    public abstract void setType(IClass type)

  Set Type.

  Parameters:
    `type` - Type
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### getDirection

    public abstract String getDirection()

  Get direction.

  Returns:
    String. in, out, inout.

### setDirection

    public abstract void setDirection(String direction)

  Set direction.

  Parameters:
    `direction` - Direction. in, out, inout
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
              INVALID_DIRECTION_KEY - if a direction kind is not in, out or inout.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

### setTypeExpression

    public abstract void setTypeExpression(String type)

  Set Type Expression.

  Parameters:
    `type` - Type Expression If type "int", then type for the parameter will be int. if type like "int[][]", then type expression int[][] will be set for the parameter. if type like "int[2][2]", then type expression int[2][2] will be set for the parameter.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
               ILLEGAL_VERSION_ERROR_KEY - if Editing API is used in JUDE/Community.
               PARAMETER_ERROR_KEY - if a parameter is not set properly.
               INVALID_MULTIPLICITY_KEY - if the multiplicity is invalid.
               BAD_TRANSACTION_KEY - Bad Transaction.
               HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
               Error messages for exceptions.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD